Get a Group of Events by ID
curl --request GET \
--url https://api.hubapi.com/reports/v2/events/batchimport requests
url = "https://api.hubapi.com/reports/v2/events/batch"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hubapi.com/reports/v2/events/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"status": "<string>",
"name": "<string>",
"label": "<string>"
}
]{
"category": "<string>",
"correlationId": "<string>",
"message": "<string>",
"subCategory": "<string>",
"errors": [
{
"message": "<string>",
"in": "<string>",
"code": "<string>",
"subCategory": "<string>",
"context": {}
}
],
"context": {},
"links": {}
}Event definitions
Get a Group of Events by ID
Given a batch of event IDs, returns a list of event definitions in a given portal.
GET
/
reports
/
v2
/
events
/
batch
Get a Group of Events by ID
Scope requirements
Scope requirements
Query Parameters
The ID of an event. Can be included multiple times to pull multiple events.
If specified as true, will include deleted events.
Last modified on March 27, 2026
Was this page helpful?
⌘I